JNLP API Reference 1.0: Class UnavailableServiceException

Package | Class | Tree | Index

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jnlp
Class UnavailableServiceException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.jnlp.UnavailableServiceException

public class UnavailableServiceException
extends java.lang.Exception

The `UnavailableServiceException` is thrown by the `ServiceManager` when a non-existing or unavailable service is looked up.

Version:
  1.0
See Also:
  `ServiceManager`, Serialized Form

Constructor Summary
`UnavailableServiceException()` Constructs an `UnavailableServiceException` with `null` as its error detail message.
`UnavailableServiceException(java.lang.String msg)` Constructs an `UnavailableServiceException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnavailableServiceException

    public UnavailableServiceException()

  Constructs an `UnavailableServiceException` with `null` as its error detail message.

### UnavailableServiceException

    public UnavailableServiceException(java.lang.String msg)

  Constructs an `UnavailableServiceException` with the specified detail message. The error message string `s` can later be retrieved by the ``Throwable.getMessage()`` method of class `java.lang.Throwable`.
  Parameters:
    `msg` - the detail message.

Package | Class | Tree | Index

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2001-2002 Sun Microsystems, Inc. All Rights Reserved